기술 자료

이른 Tableau 제품 유지 관리 종료


게시 날짜: 26 Jul 2021
마지막 수정 날짜: 11 Nov 2021

문제

최근에 Salesforce 제품의 보안을 검토하는 도중에 Tableau Server 2019.3.x - 2020.3.x 버전에 2021년 11월 11일부터 더 이상 지원되지 않는 PostgreSQL Database 버전(PGSQL 9.6)이 포함된 것으로 확인되었습니다. 따라서 PostgreSQL 관리자는 해당 버전에서 2021년 11월 11일이 지난 후에 발견되는 PostgreSQL 보안 취약점을 더 이상 수정하지 않습니다. Salesforce는 이 문제를 해결하고 고객의 보안에 대한 Salesforce의 약속을 지키기 위해 이 내장된 구성 요소를 포함하는 5개의 Tableau Desktop 및 Server 제품 버전에 대한 유지 관리 종료 일정을 더 빠르게 앞당기고 있습니다. 

영향
Tableau 2019.3.x, 2019.4.x, 2020.1.x, 2020.2.x 및 2020.3.x 버전의 유지 관리 종료 날짜는 이제 2021년 11월 11일입니다. 이런 버전 중 하나를 실행하는 고객은 해당 버전을 계속 사용하고 Tableau 기술 지원 프로세스를 통해 지원을 받는 방법을 선택할 수 있지만, 2021년 11월 11일이 지나면 해당 버전에 대해 새로운 보안 수정, 결함 수정 또는 월별 유지 관리 버전이 제공되지 않습니다. 이 변경 사항은 해당 버전과 함께 사용되는 Tableau Desktop, Tableau Prep, Resource Monitoring Tool, Content Migration Tool 등과 같은 클라이언트 소프트웨어에도 적용됩니다. 최대한 빨리 2020.4 버전 이상으로 업그레이드해야 합니다.

환경

Tableau Server와 Desktop, Prep Builder, Resource Monitoring Tool, Content Migration Tool 같은 클라이언트 제품
- 2019.3.x
- 2019.4.x
- 2020.1.x
- 2020.2.x
- 2020.3.x

해결 방법

유지 관리되는 소프트웨어를 계속 사용하려면 다음과 같은 조치를 취하세요.

  1. Tableau 버전 및 빌드 번호 찾기 기술 자료 문서에 있는 아래 절차에 따라 해당 버전 중 하나를 실행 중인지 확인합니다.
  2. 2020.3.x 이전 버전을 사용하는 경우 2020.4.x 이상으로 최대한 빨리 업그레이드합니다. 
 

아래의 추가 참고 자료를 사용하여 업그레이드 프로세스에 도움을 받을 수 있습니다.

 

Tableau를 AWS에서 배포하는 Server Management Add-on 고객을 위한 특별 참고 사항

Server Management Add-on 및 External Repository 기능을 사용하여 Tableau Server를 AWS에서 배포하는 고객은 2022년 1월 18일에 Amazon이 PostgreSQL 9.6을 실행하는 Amazon RDS 인스턴스를 PostgreSQL 12로 업그레이드할 예정임을 기억해야 합니다. Tableau Server 2020.3 이전 버전을 External Repository 기능을 사용하여 실행하는 경우, PostgreSQL 12가 Tableau 2020.4보다 오래된 버전에서 지원되지 않기 때문에 Tableau Server를 사용할 수 없게 됩니다. 또한 PostgreSQL 12로 자동 업그레이드 후 Tableau Server 백업이 실패합니다.

 

외부 리포지토리 구성을 Amazon RDS와 함께 계속 사용하려면 2022년 1월 18일 전에 Tableau Server 2020.4 버전 이상으로 업그레이드하고 Amazon RDS를 PostgreSQL 12로 업그레이드해야 합니다. 이 구성을 테스트하는 중이고 프로덕션 환경에서 배포할 계획인 Tableau Server 2020.3 이전 버전을 사용 중인 고객은 Tableau 2020.4 이상을 대신 배포해야 합니다.

이 문서로 문제가 해결되었습니까?